//	program ofsfas
//	usage 'sfa layer from to step > output_file'

/*----------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <time.h>
#include <malloc.h>

#define INTEL

long	i, j, n;
long	l_layer, l_from, l_to, l_step;
char	line[50];

/*----------------------------------------------------------------------*/

int main(argc,argv)
int		argc;
char	**argv;
{
	if (argc<5){
		printf("usage : %s layer from to step > batch_file\n", argv[0]);
		exit(-1);
	}
	l_layer=atoi(argv[1]);
	l_from =atoi(argv[2]);
	l_to   =atoi(argv[3]);
	l_step =atoi(argv[4]);

	n=(long)abs(((float)l_from-(float)l_to)/l_step);

//	printf("%d\t%d\t%d\t%f\t%d\n", l_layer, l_from, l_to, f_step, n);

	i=0;
	for (j=0; j<n+1; j++){
		sprintf(line, "ofct_sino %d %d\n", l_layer, l_from+j*l_step);
		printf("%s", line);

		sprintf(line, "sino2tif\n");
		printf("%s", line);
		sprintf(line, "ren sino%04d.tif %04d_%05d.tif\n",l_layer, l_layer, (l_from+l_step*j));
		printf("%s", line);
	}

	return(0);
}
